- entityDefinitions:
  - IDI_Task_ProductColor_View:    '{0c782645-94fc-4c33-b903-585300128a8c}'
  - IDI_Task_ProductColor_Edit:    '{13d8ae2b-89d7-412e-97a0-c4f26abe61ca}'
  - IDE_ProductColor_View:        '{4a01d8c9-8855-41a8-9017-4e1a431806d1}'
  - IDE_ProductColor_Edit:        '{be83931b-2edc-4c55-ab57-55e1d6d5152b}'
  - IDE_ProductColor_Definition:  '{e68bd214-2143-406b-8d42-97510d125a05}'
  - IDI_TaskCategory_ProductColor: '{9f62ba6c-c4e9-4d44-9c95-1c40d1cd48cf}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_ProductColor;'
    name: 'Product Color'

  - sequenceTask: '&IDI_Task_ProductColor_View;'
    name: 'View Product Color'
    initiatingElement: '&IDE_ProductColor_View;'
    taskCategory: '&IDI_TaskCategory_ProductColor;'

  - sequenceTask: '&IDI_Task_ProductColor_Edit;'
    name: 'Edit Product Color'
    initiatingElement: '&IDE_ProductColor_Edit;'
    taskCategory: '&IDI_TaskCategory_ProductColor;'

  - element: '&IDE_ProductColor_View;'
    name: 'View Product Color'
    elementContents:
    - globalIdentifier: '{73451fb6-0185-44e7-9f6e-81c4bb7989a7}'
      defaultDataType: '&IDC_ProductColor;'
      label: 'Product Color'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{ded60c14-6be4-43bb-89fd-24402d9ce6bf}'
      defaultDataType: '&IDE_ProductColor_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_ProductColor_Edit;'
    name: 'Edit Product Color'
    elementContents:
    - globalIdentifier: '{ea179aed-7124-423e-b282-3962ada59be4}'
      defaultDataType: '&IDC_ProductColor;'
      label: 'ProductColor'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{359bdf4b-dcff-46b0-b56a-54e3b4e106a8}'
      defaultDataType: '&IDE_ProductColor_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_ProductColor_Definition;'
    name: 'ProductColor subedits'
    elementContents:
    # - globalIdentifier: '{6b64a3dc-84c8-4956-a007-4b0f92c52420}'
    #   defaultDataType: '&IDA_ProductColor;'
    - globalIdentifier: '{039cc176-d0a7-4c9f-bc69-320986d4789b}'
      defaultDataType: '&IDA_Name;'
    - globalIdentifier: '{db6a009d-1ed5-4e26-95ca-4f6554ffcd5c}'
      defaultDataType: '&IDA_HexadecimalValue;'